<?php

namespace Teknisa\SM\Controller;

use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\SM\Service\IntegracaoCrmService;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;


class IntegracaoHcmController {
    protected $integracaohcmservice;

    public function __construct(IntegracaoCrmService $integracaocrmservice){
        $this->integracaocrmservice = $integracaocrmservice;
    }
    
    public function horaExtraIntegracaoHcm(Request $request, Response $response){
        try{
            $rows = $request->getDataSet()->getRows()[0];
            $retorno = $this->$integracaohcmservice->integracaoHcm($rows);
            //$response->addDataSet(new DataSet("NRORCAMENTO", array("NRORCAMENTO" => $retorno)));
            
        } catch(\Exception $e){
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
    }
    
}